package com.prolog.cs.biz.outbound.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description
 * @Date 2021-03-25
 */

@ApiModel
public class BillHDTO implements Serializable {

    private static final long serialVersionUID = 5335633058045880696L;

    @ApiModelProperty(value = "交货单表ID")
    private String billId;

    @ApiModelProperty(value = "货主ID")
    private String consignorId;

    @ApiModelProperty(value = "仓库ID")
    private String branchId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "订单明细")
    private List<BillDDTO> billDList;

    public List<BillDDTO> getBillDList() {
        return billDList;
    }

    public void setBillDList(List<BillDDTO> billDList) {
        this.billDList = billDList;
    }

    public String getBillId() {
        return billId;
    }

    public void setBillId(String billId) {
        this.billId = billId;
    }

    public String getConsignorId() {
        return consignorId;
    }

    public void setConsignorId(String consignorId) {
        this.consignorId = consignorId;
    }

    public String getBranchId() {
        return branchId;
    }

    public void setBranchId(String branchId) {
        this.branchId = branchId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}
